Update a quota
PATCH
/v1/projects/{projectId}/collection-orders/{orderId}/quotas/{quotaId}curl -X PATCH 'https://api.embodiflow.io/v1/projects/{projectId}/collection-orders/{orderId}/quotas/{quotaId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"sceneId": "00000000-0000-0000-0000-000000000000",
"targetHours": 0,
"targetSubmissions": 0,
"perCollectorCap": 0
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- orderIdstring必填
- quotaIdstring必填
请求体
Content-Typeapplication/json
- sceneIdstring (uuid) | null
- targetHoursnumber | null
- targetSubmissionsnumber | null
- perCollectorCapnumber | null
响应
Success
- dataobject必填
- idstring必填
- orderIdstring必填
- taskIdstring必填
- sceneIdstring | null必填
- targetHoursnumber | null必填
- targetSubmissionsnumber | null必填
- perCollectorCapnumber | null必填
- createdAtstring必填
- updatedAtstring必填
- rowVersionnumber必填
响应示例
{
"data": {
"id": "string",
"orderId": "string",
"taskId": "string",
"sceneId": "string",
"targetHours": 0,
"targetSubmissions": 0,
"perCollectorCap": 0,
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1